gh(1)

NAME

gh-run-view - View a summary of a workflow run

SYNOPSIS

gh run view [] [flags]

DESCRIPTION

View a summary of a workflow run

OPTIONS

--exit-status[=false]
    Exit with non-zero status if run failed

-j, --job=""
    View a specific job ID from a run

--log[=false]
    View full log for either a run or specific job

--log-failed[=false]
    View the log for any failed steps in a run or specific job

-v, --verbose[=false]
    Show job steps

-w, --web[=false]
    Open run in the browser

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    # Interactively select a run to view, optionally selecting a single job
    $ gh run view
    # View a specific run
    $ gh run view 12345
    # View a specific job within a run
    $ gh run view --job 456789
    # View the full log for a specific job
    $ gh run view --log --job 456789
    # Exit non-zero if a run failed
    $ gh run view 0451 --exit-status && echo "run pending or passed"

SEE ALSO

gh-run(1)